# Uses of Enum Class
org.apache.sysds.parser.dml.CustomErrorListener.ParseIssueType

Packages that use CustomErrorListener.ParseIssueType
Package
Description
org.apache.sysds.parser.dml

## Uses of CustomErrorListener.ParseIssueType in org.apache.sysds.parser.dml

Methods in org.apache.sysds.parser.dml that return CustomErrorListener.ParseIssueType
Modifier and Type
Method
Description
`CustomErrorListener.ParseIssueType`
CustomErrorListener.ParseIssue.`getParseIssueType()`
Obtain the type of the parse issue.
`static CustomErrorListener.ParseIssueType`
CustomErrorListener.ParseIssueType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CustomErrorListener.ParseIssueType[]`
CustomErrorListener.ParseIssueType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.parser.dml with parameters of type CustomErrorListener.ParseIssueType
Modifier and Type
Method
Description
`void`
CustomErrorListener.ParseIssue.`setParseIssueType(CustomErrorListener.ParseIssueType parseIssueType)`
Constructors in org.apache.sysds.parser.dml with parameters of type CustomErrorListener.ParseIssueType
Modifier
Constructor
Description
``
`ParseIssue(int line, int charPositionInLine, String message, String fileName, CustomErrorListener.ParseIssueType parseIssueType)`